/* General Rules */
#vertailu {
	-moz-box-sizing: border-box;
	box-sizing: border-box; 
	margin: 0px;
	padding:30px;
	font-size:16px;
	color: #2a245f;
	background-color: #f7f7f7;
	border-radius: 12px;
}

.offers {font-size: 15px;margin-top: 8px;}

.vertailu_grid {display:block;margin: 0 auto; margin-bottom: 40px;}
.filters_grid {display:none;}

/* Circle Rules */
.vertailu-down 	{ height: 25px; width: 25px; position: absolute; top: 0; left: 0; border-radius: 12.5px; border: 2px solid #41c1c9; }
.vertailu-down:after {
	content: "";
	width: 15px;
	position: absolute;
	height: 3px;
	background-color: #41c1c9;
	top: 50%;
	margin-top: -1.5px;
	left: 50%; 
	margin-left: -7.5px;
}
.vertailu-up 		{ height: 25px; width: 25px; position: absolute; right: 0; top: 0; border-radius: 12.5px; border: 2px solid #41c1c9; }
.vertailu-up:after {
	content: "";
	width: 15px;
	position: absolute;
	height: 3px;
	background-color: #41c1c9;
	top: 50%;
	left: 50%; 
	margin-top: -1.5px;
	margin-left: -7.5px;
}
.vertailu-up:before {
	content: "";
	width: 3px;
	position: absolute;
	height: 15px;
	background-color: #41c1c9;
	top: 50%;
	left: 50%;
	margin-top: -7.5px;
	margin-left: -1.5px;
}
.output-number { line-height: 25px; font-size:25px;color: #666666;}
.output-number output {color: #41c1c9;}
.output-pad { padding: 0 25px; line-height: 25px; min-height: 25px; position: relative;text-align:center;}
.vertailu-up:hover, .vertailu-down:hover { background-color: #e6e6e6; cursor: pointer; }
.vertailu-control {touch-action: none;}

/* Sliders */
.vertailu,
.vertailu__fill {
	background: #edeef4;display: block;height: 6px;
	-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;
	border-radius: 3px;
}

.vertailu {
	position: relative;
	height: 6px;
	width: 100%;
	margin:0.8em 0;
}
.vertailu--disabled {
	filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=40);
	opacity: 0.4;
}

.vertailu__fill {
	height: 6px;
	width: 100%;
	background: #2a245f;
	position: absolute;
	top: 0;
}

.vertailu__handle {
	background: #41c1c9;
	cursor: pointer;
	display: inline-block;
	width: 20px;
	height: 20px;
	position: absolute;
	top: -7px;
	border-radius: 10px;

	}

input[type="range"]:focus + .vertailu .vertailu__handle {
	-webkit-box-shadow: 0 0 8px rgba(255, 0, 255, 0.9);
	-moz-box-shadow: 0 0 8px rgba(255, 0, 255, 0.9);
	box-shadow: 0 0 8px rgba(255, 0, 255, 0.9);
}

.vertailu-range {margin-bottom: 24px;}

.termnotice {border-radius: 4px;background-color: #fff5ba;padding:12px;display:none}

/* Number of Offers */
.companys_matches {text-align:center; margin-bottom: 12px; color:#585858;}

/* Filters */
.vertailufilters {text-align: left; width:100%;display:block;}
.vertailufilters .filterboxlabel {display:none;cursor: pointer;}
.vertailufilters .filterboxcolumns {display:block;}

.vertailufilters .filterbox {white-space: normal;display: block;margin: 0;text-align: left;}

#vertailu .showfilters {display:block;}

#vertailu .filtergrid {display: grid;grid-template-columns: repeat(6, 1fr);grid-column-gap: 1%;margin-bottom: 18px;}
#vertailu .filterslabel {font-weight: 900;padding: 0 4px;margin-bottom:8px;}

#vertailu .filtergrid input[type=checkbox] {display: none;}
#vertailu .filtergrid input[type=checkbox]+label {margin: 0; cursor: pointer;-webkit-user-select: none;-moz-user-select: none;-ms-user-select: none;user-select: none;color:#343848;background-color: #fff;border:1px solid #41c1c9;border-radius: 13px; padding:4px 12px; line-height: 16px;white-space: nowrap;display: inline-block;text-align: center;}
#vertailu .filtergrid input[type=checkbox]:checked+label, #comparisons_form .filtergrid input[type="radio"]:hover + label {background-color: #41c1c9;color:#ffffff;outline: 0;}


/* Sorting */
#sortby {display: flex;justify-content: center;}
#sortby .showsorting {display: flex;width:50%;}

#sortby .showsorting input[type="radio"] {
  opacity: 0;
  position: fixed;
  width: 0;
}
#sortby .showsorting label {
	display: inline-block;
	text-align: center;
	line-height: 30px;
	font-size: 12px;
	font-weight: 900;
	background-color:#cce6ff;
	color: #164C81;
	cursor: pointer;
	width: 50%;
}

#sortby .showsorting label:first-of-type {border-top-left-radius: 15px; border-bottom-left-radius: 15px;}
#sortby .showsorting label:last-of-type {border-top-right-radius: 15px; border-bottom-right-radius: 15px;}

#sortby .showsorting label:hover, #sortby .showsorting input[type="radio"]:checked + label {background-color:#164C81;color:#FFFFFF;}

/* Company Box Rules */
.vertailu_box {margin-top: 25px; margin-bottom: 20px; text-align: center;background: #ffffff;box-sizing: border-box;border-radius: 6px;padding:37px 20px 20px 20px;position: relative;border-radius: 12px;}

.ribbon {position: absolute; top: 0; right: 0;font-size: 11px;padding: 5px; text-transform:uppercase;font-weight: 700;text-align: center; width:140px;color:#fff;line-height: 12px;background-color: #04539c;border-top-right-radius: 10px;}

.ribbon::before {
	content: '';
	position: absolute;
	top: 0;
	right: 100%;
	width: 1px;
	height: 0;
	border-width: 11px;
	border-style: solid;
	border-color: #04539c;
	border-left: 11px solid #fff;
	background-color: #fff;
}

/* Top Titles */
.results_title {display:grid;grid-template-columns:15% 23% 14% 14% 14% 20%;grid-column-gap: 0;text-align: center; margin: 17px 20px; font-weight: 600; font-size: 16px;line-height: 17px; margin-bottom: 10px;align-items: center;}

.results_title svg {height:12px;width:10px;margin-top: -2px; margin-left: 5px; display: inline-block;vertical-align: middle;color: #585858;}

.results_title svg .arrows {stroke: #b32566; fill: #585858;}

.results_title b {border-bottom: 1px solid #ededed;padding: 5px 0; color: #727374; font-size: 14px;}

.results_title a {color:#727374; text-decoration: none;}

.vertailu_box .productdetails {text-align: left;font-size: 12px;padding-bottom: 2px;border-bottom: 1px solid #e6e6e6;}

/* Title Row */
.titlerowfull {display:grid;grid-template-columns:23% 18% 18% 18% 23%;grid-column-gap: 0;}
.titlerowfull span {text-align: center;}
.titlerowfull span:last-of-type {text-align: right;}
.titlerowvertailu {display:none;text-align: center;}

/* Top row */
.vertailu_box .toprow.full {display:grid;grid-template-columns:15% 23% 14% 14% 14% 20%;grid-column-gap: 0;}
.vertailu_box .toprow.vertailu, .vertailu_box .middle {display:none}
.vertailu_logo {text-align:left;line-height: 0px;}
.vertailu_logo.middle {text-align:center;}
.vertailu_logo img {margin:0;max-width: 120px; max-height: 50px;}
.vertailu_box .toprow .topright {text-align: right;color:#7990a5;font-size:12px;}
.payment {font-size:30px;font-weight: 900;color:#585858}
.vertailu_box .fra{}

/* Middle row */
.vertailu_box .midrow.full {display:none;}
.vertailu_box .midrow.cell{display:none;}

/* Bottom row */
.vertailu_box .lowrow.full {display:grid;grid-template-columns:20% 60% 20%;margin: 0;line-height: 40px;}
.vertailu_box .lowrow.cell {display:none;}

.annonselenke {text-align:center; font-size: 13px; color: #8e8e8e;margin-top: -10px;}
.vertailu_links {text-align: left;font-weight: 500;font-size:16px;line-height: 20px;}
.vertailu_links a.applylink {text-decoration: none;color:#004183;}
.vertailu_apply, .vertailu_morevertailu {line-height: 36px; text-align: left;}
.vertailu_apply a ,.vertailu_apply span {display:block;background: #2a245f;font-weight:600;color: #FFF !important;text-decoration: none; text-align: center; border-radius: 18px; padding-top: 3px; padding-bottom: 3px;}

.vertailu_apply.cell {display:none}

.vertailu_details {font-size: 18px;}
.vertailu_details span.label {display:block;font-size:11px; color: #9d9e9e; text-transform: uppercase;line-height:11px;}

.vertailu_box .rating {margin: 6px auto;}
.vertailu_box .rating svg {padding: 1px;fill: #fde16d;vertical-align:middle;}

/* Features */
.vertailu_box .features {font-size: 13px; font-weight: 300; line-height: 14px; margin-top: 10px; text-align: left; margin-left: 20px;}

/* More Info Link */
.readmore { color: #8e8e8e; text-decoration: none;margin: 0 16px 0 0; font-size: 14px;}

/* Company Page Link*/
.reviews { color: #0da1ed; text-decoration: none; }

/* Read More Content */
.vertailu_box .drop {display: none;background-color: #fff;text-align: left;}
.vertailu_box .dropgrid {display:grid;padding:20px 0; grid-template-columns:32% 68%;grid-column-gap: 2%; word-wrap: break-word; white-space: pre-wrap;}
.vertailu_box .dropgrid .info_block {font-size: 15px}
.vertailu_box .dropgrid table {width:100%;border-collapse: collapse;display:table;}
.vertailu_box .dropgrid table tr {border: none;}
.vertailu_box .dropgrid tr:nth-child(even) {background-color: #f2f2f2;}
.vertailu_box .dropgrid td:nth-child(2) { text-align: end; }
.vertailu_box .dropgrid .info_block td {padding: 8px;outline: none!important;border:none;}

.vertailu_box .dropgrid .info_block h6 {border-bottom: 1px solid #cccccc;padding-bottom: 12px;margin-bottom: 0;}

/* Offers */
.one-offer, .no-offers {display:none;}

/* Show More */
#lc_show_more{text-align:center;cursor:pointer;margin:15px auto 15px auto;}

/* 965px wide screens */
@media only screen and (max-width: 965px) {
	.readmore { border-right: none; }
	.vertailu_sliders {display:block;}
	.vertailu_outputs {width: 100%; }
	.container {display: inline-block;}
}

/* 600px wide screens */
@media only screen and (max-width: 600px) {
	.vertailu_grid, .titlerowvertailu {display:block !important;}
	.vertailufilters .filterboxcolumnsa {display:block;}
	.filters_grid {display:block;max-width: 600px;margin: 0 auto;}
	.results_title {display:none;}
	.output-number	{font-size:22px;}
	.payment {font-size:24px;}
	#sortby .showsorting {display: block;width:100%;}
	.vertailu_outputs {margin-top: 10px;}
	.vertailu-range {}
	.vertailu_box {padding: 37px 20px 10px 20px;}
	.vertailu_box .toprow.full, .vertailu_box .midrow.full, .vertailu_box .lowrow.full, .vertailu_apply.desktop, .titlerowfull {display:none}
	.vertailu_box .middle {display:block;}
	.vertailu_box .midrow.cell {display:grid;grid-template-columns:50% 50%;grid-column-gap: 0;margin-bottom: 12px;}
	.vertailu_box .lowrow.cell {display:block;margin-bottom: 12px;}
	.vertailu_apply.cell {display:block;margin: 16px 0;}
	.vertailu_links {text-align: center;font-size:14px;margin-top: 0;}
	.vertailu_details {margin: 6px 0; border-bottom-width: 0px;line-height: auto;}
	.vertailu_details span.label {display:block; font-weight: 500;text-align: center;}
	.vertailu_details.col1 div {transform: translateY(0);position: static;}
	.vertailu_box .features {font-size: 13px; line-height: 16px;}
	.vertailufilters .filterslabel {padding-top: 15px;}
	.vertailu_grid {padding: 0; margin-bottom: 0;}
	.annonselenke {line-height: 14px; margin: 7px 0; padding: 0px;}
		.output-number {font-size: 18px;}
	.readmore {margin:0; font-size: 14px;}
	.vertailu_box .dropgrid {display:block;}
	.vertailu_box .dropgrid .info_block {margin-bottom: 12px;}
	#vertailu progress {margin: 0; width: 100%;}
	#vertailu .modal-content {width: 80%;}
	#vertailu .sortingbuttons {display:grid;grid-template-columns:49% 49%;grid-column-gap: 2%;margin: 0 auto;}

	#vertailu .filtergrid {grid-template-columns: repeat(2, 1fr);grid-row-gap: 12px;margin-bottom: 12px;}
	 
}